# The mysqli_sql_exception class

(PHP 5, PHP 7)

## Introduction

The mysqli exception handling class.

## Class synopsis

mysqli_sql_exception extends RuntimeException {
/* Properties */
protected string $sqlstate ;
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
}

## Properties

sqlstate

  The sql state with the error.